Skip to content
Last updated

checkData method

This method checks the validity of the data:

For the full technical reference, see the OpenAPI specification.

Endpoint

POST /api/certificate/{lraId}/checkData

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.
AuthorizationYesBasic Auth credentials.

Path parameters

ParameterTypeRequiredDescription
lraIdintegerYesLRA identifier.

Body parameters

ParameterTypeRequiredDescription
disposableHolderobjectYesDisposableHolder object.
disposableContactsobjectYesDisposableContacts object.
disposableDocobjectYesDisposableDoc object. Not required for specific categories, see more details into the section.
disposableCertobjectYesDisposableCertificate object.
identificationobjectNoDisposableIdentification object.
disposableAddressobjectNoDisposableAddress object.

Request examples

Standard enrollment:

{
    "disposableHolder": {
        "birthCity": "Ancona",
        "birthDate": "2000-11-09",
        "citizenShip": "IT",
        "firstName": "Mario",
        "identificationCode": "RSSMRA80A01H501U",
        "identificationCountry": "IT",
        "identificationType": "ITALIAN_TAX_CODE",
        "lastName": "Rossi"
    },
    "disposableContacts": {
        "email": "user@example.com",
        "mobile": "+390000000000"
    },
    "disposableDoc": {
        "documentExpirationDate": "2029-11-09",
        "documentIssuer": "Comune di Ancona",
        "documentIssuerCountry": "IT",
        "documentIssuerDate": "2019-08-22",
        "documentNr": "AB1234567",
        "documentType": "CI"
    },
    "disposableCertificate": {
        "fullData": false,
        "otpType": "SMS",
        "password": "YOUR_PASSWORD",
        "securityCode": "YOUR_SECURITY_CODE",
        "type": "DISPOSABLE"
    },
    "identification": {
        "identificationType": "DEVISU"
    },
    "disposableAddress": {
        "ccat": "A271",
        "city": "SENIGALLIA",
        "country": "IT",
        "province": "AN",
        "street": "Via Roma 1",
        "zip": "60019"
    }
}

With multi-language limitation of use:

{
    "disposableHolder": {
        "birthCity": "Ancona",
        "birthDate": "2000-11-09",
        "citizenShip": "IT",
        "firstName": "Mario",
        "identificationCode": "RSSMRA80A01H501U",
        "identificationCountry": "IT",
        "identificationType": "ITALIAN_TAX_CODE",
        "lastName": "Rossi"
    },
    "disposableContacts": {
        "email": "user@example.com",
        "mobile": "+390000000000"
    },
    "disposableDoc": {
        "documentExpirationDate": "2029-11-09",
        "documentIssuer": "Comune di Ancona",
        "documentIssuerCountry": "IT",
        "documentIssuerDate": "2019-08-22",
        "documentNr": "AB1234567",
        "documentType": "CI"
    },
    "disposableCertificate": {
        "fullData": false,
        "otpType": "SMS",
        "password": "YOUR_PASSWORD",
        "securityCode": "YOUR_SECURITY_CODE",
        "type": "DISPOSABLE",
        "limitationOfUse": {
            "withoutUsageLimitLRA": false,
            "language": "en"
        }
    },
    "identification": {
        "identificationType": "DEVISU"
    },
    "disposableAddress": {
        "ccat": "A271",
        "city": "SENIGALLIA",
        "country": "IT",
        "province": "AN",
        "street": "Via Roma 1",
        "zip": "60019"
    }
}

Response examples

200 — Success

Empty body

‌Errors: Check here the main errors triggered.

‌